This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534333 - (RHQ-113) Improve ResourceManagerBean.getResourceAutogroups() and ResourceWithAvailabiltiy
Improve ResourceManagerBean.getResourceAutogroups() and ResourceWithAvailabiltiy
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
1.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 15:24 EDT by Heiko W. Rupp
Modified: 2010-08-18 11:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-18 11:19:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2008-03-14 15:24:00 EDT
Those methods (and probably others around ResourceWithAvailability) do too many round trips to the database, as they are (implicitly) pulling in things that are not needed.
Comment 1 Red Hat Bugzilla 2009-11-10 15:24:48 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-113
Comment 2 wes hayutin 2010-02-16 16:10:22 EST
Mass move to component = Monitoring
Comment 3 Corey Welton 2010-08-18 11:19:49 EDT
Closing, old dev task

Note You need to log in before you can comment on or make changes to this bug.